3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php fopen('foo') or die('lol');
Output for 4.3.0 - 5.6.28, hhvm-3.12.0, 7.0.0 - 7.1.0
Warning: fopen() expects at least 2 parameters, 1 given in /in/QucI9 on line 3 lol
Output for hhvm-3.10.0

Process exited with code 153.